package com.aucma.report.service;

import java.util.List;
import com.aucma.report.domain.RealTaskInfo;

/**
 * 任务信息Service接口
 * 
 * @author Yinq
 * @date 2023-11-02
 */
public interface IRealTaskInfoService 
{
    /**
     * 查询任务信息
     * 
     * @param objid 任务信息主键
     * @return 任务信息
     */
    public RealTaskInfo selectRealTaskInfoByObjid(Long objid);

    /**
     * 查询任务信息列表
     * 
     * @param realTaskInfo 任务信息
     * @return 任务信息集合
     */
    public List<RealTaskInfo> selectRealTaskInfoList(RealTaskInfo realTaskInfo);

    /**
     * 新增任务信息
     * 
     * @param realTaskInfo 任务信息
     * @return 结果
     */
    public int insertRealTaskInfo(RealTaskInfo realTaskInfo);

    /**
     * 修改任务信息
     * 
     * @param realTaskInfo 任务信息
     * @return 结果
     */
    public int updateRealTaskInfo(RealTaskInfo realTaskInfo);

    /**
     * 批量删除任务信息
     * 
     * @param objids 需要删除的任务信息主键集合
     * @return 结果
     */
    public int deleteRealTaskInfoByObjids(Long[] objids);

    /**
     * 删除任务信息信息
     * 
     * @param objid 任务信息主键
     * @return 结果
     */
    public int deleteRealTaskInfoByObjid(Long objid);
}
